From 8b9b2e4770341b4ac5f4bad506ab92a843dd1b5f Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Fri, 21 Nov 2014 20:57:29 +0100
Subject: [PATCH] don't depend on Test::LeakTrace (because of 5.21.6 problems)

---
 Makefile.PL        | 1 -
 t/51-memory-leak.t | 7 ++++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/Makefile.PL b/Makefile.PL
index 5d1555f..1c3b25d 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -16,7 +16,6 @@ WriteMakefile(
 	},
 	TEST_REQUIRES => {
 		'Test::More'      => '1.00',
-		'Test::LeakTrace' => '0.14',
 	},
 	LICENSE       => "perl",
 	dist          => { COMPRESS => "gzip", SUFFIX => "gz" },
diff --git a/t/51-memory-leak.t b/t/51-memory-leak.t
index 4a0fb20..056a260 100644
--- a/t/51-memory-leak.t
+++ b/t/51-memory-leak.t
@@ -4,7 +4,12 @@ use warnings;
 use File::Temp qw(tempdir);
 use PDF::Create;
 use Test::More;
-use Test::LeakTrace;
+BEGIN {
+    if (!eval q{ use Test::LeakTrace; 1 }) {
+	plan skip_all => 'Test::LeakTrace not available';
+	exit 0;
+    }
+}
 
 plan tests => 4;
 
-- 
2.1.2

